Announcement

Collapse
No announcement yet.

PhantomPDF for Linux?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • PhantomPDF for Linux?

    As far as I can tell, PhantomPDF is only available for Windows, while Foxit Reader is available for Windows, Mac, Linux, Android, and iOS. I used PhantomPDF on Windows and enjoyed it very much, but have since migrated to Linux. Are there any plans to develop a version of PhantomPDF for Linux? I have tried installing PhantomPDF through Wine, but the installation fails when it tries to add the virtual PDF printer. Simply adding the option to the Windows installer to proceed without installing the virtual printer would allow Linux users to just use the Windows version currently available.

    Edit: It is actually possible to install PhantomPDF on Linux using Wine. You have to use a task manager to force quit the installer when it runs into the printer error. PhantomPDF can then be launched from the desktop icon created or the .exe file in the Program Files folder. Adding one more dialog to the installer - "Printer installation failed. Would you like to roll back the installation?" - would fix this problem.
    Last edited by jt00; 01-31-2018, 12:37 AM.

  • #2
    Dear jt00,

    Thanks for your post.I am sorry that there is no plan to develop Foxit PhantomPDF for Linux yet.However,we will forward your request to our product marketing team for their consideration.

    Regarding the issue"Failed to install Foxit PhantomPDF Printer when installed Foxit PhantomPDF through Wine",please go to "start menu"->"run" ->input"services.msc" in the run line ->click"ok" to open computer management to check if you have keep the service "Print Spooler" on.
    If the status of the "Print Spooler" service is stopped,please start it to turn on this service. And then please try to install Foxit PhantomPDF 9.0.1 again by downloading it from the link below:
    http://cdn09.foxitsoftware.com/produ..._enu_Setup.msi
    If the issue still persists,please help to send us the following information for further analysis:
    1:Your Linux OS version number and the version number of windows operating system in Wine.
    2:Please take a screenshot of the error message for us.
    3:Please help to send us the installation log file "foxit_setup_ca.log" from the following folder:
    "C:\Users\[current username]\AppData\Local\Temp"

    You may also choose to email the above information to support@foxitsoftware.com (Attn:Lisa). And indicate this thread link. Thank you.

    Comment


    • #3
      Hi Lisa,
      Unfortunately, Wine does not provide services.msc, and there is no print spooler service available, which is why the installation fails. I will provide as much information as I can.
      I am running Fedora 27 with Wine 3.0 installed. Wine is currently set to Windows 10. Screenshots of the errors are attached below:
      ​​​​​ Click image for larger version  Name:	install_failure.png Views:	1 Size:	26.3 KB ID:	166241 Click image for larger version  Name:	install_failure2.png Views:	1 Size:	42.2 KB ID:	166242

      I'm not able to attach a .log file, but I have attached the log file in zip format. Unfortunately this is not an issue that can be fixed with my current configuration; the best solution I can think of would be to develop a CUPS driver for the virtual printer and allow users to install the printer after running the msi installer. This would allow Linux, Mac, and BSD users to get the full functionality of the existing program using Wine.
      Attached Files
      Last edited by jt00; 02-01-2018, 09:55 PM.

      Comment


      • #4
        Dear jt00,

        Thanks for your reply.So the root cause of the installation issue is that there is no print spooler service in wine. For your current workaround,please help to custom install
        Foxit PhantomPDF by selecting not to install the Foxit PhantomPDF Creator in installation wizard. For this situation,I have submitted the suggestion"Develop a SCUPS driver for the Foxit PDF printer for Linux,MAC and BSD users" to our internal feature system with suggestion ID#QCPHANTOM-7328.


        Comment


        • #5
          Not sure if there is an ongoing tally somewhere else, but I too would be very interested in a package being available for Linux (like the reader). Thanks!

          Comment


          • #6
            Originally posted by mianosm View Post
            Not sure if there is an ongoing tally somewhere else, but I too would be very interested in a package being available for Linux (like the reader). Thanks!
            Hello,mianosm,For linux platform,we only has Foxit Reader for Linux this application could work there. You may download it from our official download center below:
            https://www.foxitsoftware.com/downloads/
            Attached Files

            Comment

            Working...
            X